<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">
    <ui:define name="content">
        <p:panel id="job-instance-pnl" header="Job instance: #{jobInstanceBean.jobInstance.id}"
                 style="margin-bottom:30px;">
            <div class="ui-g">
                <div class="ui-panelgrid-cell ui-g-6 ui-md-4 ui-lg-2">
                    <p:outputLabel value="Job name:"/>
                </div>
                <div class="ui-panelgrid-cell ui-g-4">
                    <h:outputText id="jobName" styleClass="full-width" value="#{jobBean.job.name}"/>
                </div>
            </div>
            <div class="ui-g">
                <div class="ui-panelgrid-cell ui-g-6 ui-md-4 ui-lg-2">
                    <p:outputLabel value="System:"/>
                </div>
                <div class="ui-panelgrid-cell ui-g-4">
                    <h:outputText id="systemName" styleClass="full-width"
                                  value="#{jobInstanceBean.jobInstance.operationSystem.name}"/>
                    <h:outputText id="systemCapacity" styleClass="full-width"
                                  value="#{jobInstanceBean.jobInstance.operationSystem.systemCapacity.label}"/>
                </div>
            </div>
            <div class="ui-g">
                <div class="ui-panelgrid-cell ui-g-6 ui-md-4 ui-lg-2">
                    <p:outputLabel value="Date begin:"/>
                </div>
                <div class="ui-panelgrid-cell ui-g-4">
                    <h:outputText id="dateBegin" styleClass="full-width"
                                  value="#{jobInstanceBean.jobInstance.dateBegin}"/>
                </div>
            </div>
            <div class="ui-g">
                <div class="ui-panelgrid-cell ui-g-6 ui-md-4 ui-lg-2">
                    <p:outputLabel value="Date end:"/>
                </div>
                <div class="ui-panelgrid-cell ui-g-4">
                    <h:outputText id="dateEnd" styleClass="full-width"
                                  value="#{jobInstanceBean.jobInstance.dateEnd}"/>
                </div>
            </div>
        </p:panel>

        <h:form id="form">
            <p:dataTable var="metrik" value="#{metrikBean.list(jobInstanceBean.jobInstance.id)}"
                         rows="12" paginator="true" id="metriks" paginationPosition="bottom"
                         paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                <p:column headerText="#" width="50">
                    <h:outputText value="#{rowIndex + 1}"/>
                </p:column>
                <p:column headerText="Name">
                    <h:outputText value="#{metrik.name}"/>
                </p:column>
                <p:column headerText="Type">
                    <h:outputText value="#{metrik.type.label}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-eye buttons"
                                   ajax="false"
                                   action="#{metrikBean.viewMetrik(metrik)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-trash buttons"
                                   action="#{metrikBean.deleteMetrik(metrik)}"
                                   update="metriks">
                        <p:confirm header="Delete metrik"
                                   message="Delete metrik with name: #{metrik.name}?"
                                   icon="pi pi-exclamation-triangle"/>
                    </p:commandLink>
                </p:column>
            </p:dataTable>
        </h:form>
    </ui:define>
</ui:composition>